Subject: Re: bug#63775: git describe on current master says: v1.3.0-38775-g6192acf8b7

From: Giovanni Biscuolo <[email-masked]>
Date: Thu, 08 Jun 2023 15:58:50 +0200

Hi,

thank you Janneke for this report, I thought I had some problem with my
working dir

magit tells me I'm on "Tag:      v1.3.0 (39040)"

Simon Tournier <[email-masked]> writes:

[...]

> Oh, that’s weird!
>
> --8<---------------cut here---------------start------------->8---
> $ git describe --debug
> describe HEAD
> No exact match on refs or tags, searching to describe
>  annotated      38817 v1.3.0
>  annotated      38831 v1.3.0rc2
>  annotated      38870 v1.3.0rc1
>  annotated      55660 base-for-issue-62196
>  annotated      55806 v1.2.0
>  annotated      55814 v1.2.0rc2
>  annotated      55837 v1.2.0rc1
>  annotated      55985 v1.4.0
>  annotated      55998 v1.4.0rc2
>  annotated      56031 v1.4.0rc1
> traversed 56356 commits
> more than 10 tags found; listed 10 most recent
> gave up search at d62c9b2671be55ae0305bebfda17b595f33797f2
> v1.3.0-38817-g76b7bc5392
>
> $ git rev-list --count v1.3.0..HEAD
> 38817
> --8<---------------cut here---------------end--------------->8---

I have the very same (updated) results:

[...]

--8<---------------cut here---------------start------------->8---

  0 LC_ALL=C git describe --debug
describe HEAD
No exact match on refs or tags, searching to describe
 annotated      39040 v1.3.0
 annotated      39054 v1.3.0rc2
 annotated      39093 v1.3.0rc1
 annotated      55883 base-for-issue-62196
 annotated      56029 v1.2.0
 annotated      56037 v1.2.0rc2
 annotated      56060 v1.2.0rc1
 annotated      56208 v1.4.0
 annotated      56221 v1.4.0rc2
 annotated      56254 v1.4.0rc1
traversed 56579 commits
more than 10 tags found; listed 10 most recent
gave up search at d62c9b2671be55ae0305bebfda17b595f33797f2
v1.3.0-39040-g76b7c50645

--8<---------------cut here---------------end--------------->8---
(output from magit-process)

[...]

I'm not so expert in git, still trying to understand how to debug this
strange behaviuor

Happy hacking! Gio'

-- 
Giovanni Biscuolo

Xelera IT Infrastructures